-- ============================================================================
-- == BRFCommon - A collection of common functions used throughout the       ==
-- ==             BrokerRecountFu addon.                                     ==
-- ============================================================================

BRFCommon = LibStub("AceAddon-3.0"):NewAddon("BRFCommon", "AceConsole-3.0", "AceEvent-3.0")
local L   = LibStub("AceLocale-3.0"):GetLocale("BrokerRecountFu")

-- ============================================================================
-- == OnInitialize()                                                         ==
-- ==                                                                        ==
-- == This function is called when the addon is initialised.                 ==
-- ============================================================================

function BRFCommon:OnInitialize()
end

-- ============================================================================
-- == OnEnable()                                                             ==
-- ==                                                                        ==
-- == This function is called when the addon is enabled.                     ==
-- ============================================================================

function BRFCommon:OnEnable()
end

-- ============================================================================
-- == OnEnable()                                                             ==
-- ==                                                                        ==
-- == This function is called when the addon is disabled.                    ==
-- ============================================================================

function BRFCommon:OnDisable()
end

-- ============================================================================
-- ==  IsPlayerInParty()                                                     ==
-- ==                                                                        ==
-- == This function determines whether the player is currently in a party or ==
-- == not and returns true if the player is in a party, false otherwise.     ==
-- ============================================================================

function BRFCommon:IsPlayerInParty()

  local numPartyMembers = BRFData:SafeNumber(GetNumPartyMembers())

  if numPartyMembers > 0 then
    return true
  else
    return false
  end

end

-- ============================================================================
-- ==  IsPlayerInRaid()                                                      ==
-- ==                                                                        ==
-- == This function determines whether the player is currently in a raid or  ==
-- == not and returns true if the player is in a raid, false otherwise.      ==
-- ============================================================================

function BRFCommon:IsPlayerInRaid()

  local numRaidMembers  = BRFData:SafeNumber(GetNumRaidMembers())

  if numRaidMembers > 0 then
    return true
  else
    return false
  end

end

-- ============================================================================
-- == ColourByClass(className)                                               ==
-- ==                                                                        ==
-- == This function returns the colour-string suggested by the supplied      ==
-- == className parameter or returs the colour-string representing white.    ==
-- ============================================================================

function BRFCommon:ColourByClass(className)

  local colourText = "|cffffffff"

  if className == nil then return colourText end

  if className == "DEATHKNIGHT" then colourText = "|cffc41f3b" end
  if className == "DRUID"       then colourText = "|cffff7d0a" end
  if className == "HUNTER"      then colourText = "|cffabd473" end
  if className == "MAGE"        then colourText = "|cff69ccf0" end
  if className == "PALADIN"     then colourText = "|cfff58cba" end
  if className == "PRIEST"      then colourText = "|cffffffff" end
  if className == "ROGUE"       then colourText = "|cfffff569" end
  if className == "SHAMAN"      then colourText = "|cff0070de" end
  if className == "WARRIOR"     then colourText = "|cffc79c6e" end
  if className == "WARLOCK"     then colourText = "|cff9482c9" end

  return colourText

end
